---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/librawmonexit003.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4AD18, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4CC58, symBinAddr: 0xA110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4D040, symBinAddr: 0xA4F8, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4DFE0, symBinAddr: 0xB498, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4DFE8, symBinAddr: 0xB4A0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4A9A8, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4A9AC, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4A9B0, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4AB00, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4ABB8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4ABBC, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4ABC0, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4ABC4, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4ABC8, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4ABD0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4ABE8, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4ABF0, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4ABF8, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4AC00, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4AC08, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4AC4A, symBinAddr: 0x81BA, symSize: 0x0 }
  - { offsetInCU: 0x90B5, offset: 0x90B5, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4AC50, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x90CE, offset: 0x90CE, size: 0x8, addend: 0x0, symName: __ZL7bad_buf, symObjAddr: 0xD056, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x90F3, offset: 0x90F3, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4AC58, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x914C, offset: 0x914C, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xEB4, symSize: 0xA0 }
  - { offsetInCU: 0x91E1, offset: 0x91E1, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0xE8C, symSize: 0x28 }
  - { offsetInCU: 0x9244, offset: 0x9244, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0xE0C, symSize: 0x80 }
  - { offsetInCU: 0x94D8, offset: 0x94D8, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xF54, symSize: 0x20C }
  - { offsetInCU: 0x9691, offset: 0x9691, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x1160, symSize: 0x28 }
  - { offsetInCU: 0x975A, offset: 0x975A, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x1188, symSize: 0xB0 }
  - { offsetInCU: 0x9851, offset: 0x9851, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x1238, symSize: 0xD8 }
  - { offsetInCU: 0x9976, offset: 0x9976, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x1310, symSize: 0x24 }
  - { offsetInCU: 0x9A01, offset: 0x9A01, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x1334, symSize: 0x168 }
  - { offsetInCU: 0x9BDD, offset: 0x9BDD, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x149C, symSize: 0x104 }
  - { offsetInCU: 0x9D5A, offset: 0x9D5A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x15A0, symSize: 0x154 }
  - { offsetInCU: 0x9F3E, offset: 0x9F3E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x16F4, symSize: 0xAC }
  - { offsetInCU: 0xA013, offset: 0xA013, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x17A0, symSize: 0x14 }
  - { offsetInCU: 0xA04C, offset: 0xA04C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x17B4, symSize: 0x14 }
  - { offsetInCU: 0xA085, offset: 0xA085, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x17C8, symSize: 0x14 }
  - { offsetInCU: 0xA202, offset: 0xA202, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x17DC, symSize: 0x1A8 }
  - { offsetInCU: 0xA516, offset: 0xA516, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x1984, symSize: 0x9C }
  - { offsetInCU: 0xA5D3, offset: 0xA5D3, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x1A20, symSize: 0x690 }
  - { offsetInCU: 0xB165, offset: 0xB165, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x8F58, symBinAddr: 0x29B4, symSize: 0x30 }
  - { offsetInCU: 0xB1F1, offset: 0xB1F1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x20B0, symSize: 0x74 }
  - { offsetInCU: 0xB281, offset: 0xB281, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x2124, symSize: 0xB0 }
  - { offsetInCU: 0xB360, offset: 0xB360, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x21D4, symSize: 0x3C }
  - { offsetInCU: 0xB456, offset: 0xB456, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x2210, symSize: 0x29C }
  - { offsetInCU: 0xB799, offset: 0xB799, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x24AC, symSize: 0xD0 }
  - { offsetInCU: 0xB8C7, offset: 0xB8C7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x257C, symSize: 0xC }
  - { offsetInCU: 0xB989, offset: 0xB989, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x2588, symSize: 0x22C }
  - { offsetInCU: 0xBC7D, offset: 0xBC7D, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x27B4, symSize: 0x90 }
  - { offsetInCU: 0xBD42, offset: 0xBD42, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8DE8, symBinAddr: 0x2844, symSize: 0x90 }
  - { offsetInCU: 0xBE07, offset: 0xBE07, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RawMonitorExit_rawmonexit003_check, symObjAddr: 0x8E78, symBinAddr: 0x28D4, symSize: 0xE0 }
  - { offsetInCU: 0xBE95, offset: 0xBE95, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x8F88, symBinAddr: 0x29E4, symSize: 0x358 }
...
